## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage
Class IntroductionSection

    java.lang.Object
      org.eclipse.ui.forms.AbstractFormPart
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
              org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage.IntroductionSection

All Implemented Interfaces:
  org.eclipse.ui.forms.IFormPart

    public class IntroductionSection

extends CollapseableSection

The introduction section

Author:
  Idull

Constructor Summary
`IntroductionSection(java.lang.String pageExtensionId, org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, int estyle)`

Method Summary
`void` `createSectionContent(org.eclipse.swt.widgets.Composite parent)` Creates the section content, subclass should implement this method to create controls in the contect
`void` `dispose()`
`java.lang.String` `getContextHelpId()`
`java.lang.String` `getPageName()`
`void` `setPage(ISchemaObjectEditorPage _page)`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
`createControl, getSection, getSectionContent, setPluginId`

Methods inherited from class org.eclipse.ui.forms.AbstractFormPart
`commit, getManagedForm, initialize, isDirty, isStale, markDirty, markStale, refresh, setFocus, setFormInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntroductionSection

    public IntroductionSection(java.lang.String pageExtensionId,
                               org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                               java.lang.String title,
                               org.eclipse.swt.widgets.Display display,
                               int estyle)

Method Detail

### createSectionContent

    public void createSectionContent(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `CollapseableSection`
  Creates the section content, subclass should implement this method to create controls in the contect

  Parameters:
    `parent` - the section content composite

### getContextHelpId

    public java.lang.String getContextHelpId()

### getPageName

    public java.lang.String getPageName()

### setPage

    public void setPage(ISchemaObjectEditorPage _page)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.forms.IFormPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.forms.AbstractFormPart`